import { MultiPolygon } from 'polygon-clipping';
import { IPath, Point } from "..";
import { SvgNode } from './svg-node';
export declare class SvgPath implements IPath {
    id: string;
    private initialPoint?;
    private currentPoint?;
    private polygons;
    private currentPolygon;
    root: SvgNode;
    constructor(id: string);
    move(x: number, y: number): void;
    line(x: number, y: number): void;
    polyline(pts: Point[]): void;
    polybezier(pts: Point[]): void;
    curve(pts: Point[], smoothing: number): void;
    close(): void;
    getPolygons(): MultiPolygon;
}
