"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var dxf_doc_1 = require("dxf-doc");
var dxf_builder_1 = require("./dxf-builder");
var DxfDrawing = /** @class */ (function (_super) {
    __extends(DxfDrawing, _super);
    function DxfDrawing(width, height) {
        var _this = _super.call(this, new dxf_doc_1.DxfDocument()) || this;
        _this._height = height;
        _this.document.extents([0, 0], [width, height]);
        _this.document.limits([0, 0], [width, height]);
        return _this;
    }
    DxfDrawing.prototype.convertY = function (y) {
        return this._height - y;
    };
    DxfDrawing.prototype.dxf = function () {
        return this.document.dxf();
    };
    return DxfDrawing;
}(dxf_builder_1.AbstractDxfBuilder));
exports.DxfDrawing = DxfDrawing;
