import { IRegion, IRegionData, Bounds, IPath } from "..";
import { SvgDrawing } from ".";
import { SvgNode } from "./svg-node";
export declare class SvgRegion implements IRegion {
    private drawing;
    id: string;
    private includes;
    private excludes;
    root: SvgNode;
    constructor(drawing: SvgDrawing, id: string);
    include(callback: (r: IRegionData) => void): void;
    exclude(callback: (r: IRegionData) => void): void;
    getBounds(): Bounds;
    outline(): IPath[];
}
